/*
 * @Author: dongchaoguang
 * @Date: 2021-09-10 12:12:59
 * @LastEditors: dongchaoguang
 * @LastEditTime: 2021-11-08 11:46:49
 * @Description: file content
 * @FilePath: \aserver-ui-15-nojc\vue.config.js
 */
const path = require('path')

const resolve = dir => {
  return path.join(__dirname, dir)
}
// jc_sqjz/dzjz/aserver
const PUBLIC_PATH = process.env.NODE_ENV === 'production' ? '/' : '/'


module.exports = {
  publicPath: PUBLIC_PATH,
  // publicPath: '/aserver',
  chainWebpack: config => {
    config.resolve.alias
      .set('@', resolve('src')) // key,value自行定义，比如.set('@@', resolve('src/components'))
      .set('_c', resolve('src/components'))
    config.module
      .rule('iview')
      .test(/iview.src.*?js$/)
      .use('babel')
      .loader('babel-loader')
      .end()
  },
  transpileDependencies:[
    'iview'
  ],
  pages: {
    index: {
      // page 的入口
      entry: 'src/main.js',
      // 模板来源
      template: 'public/index.html',
      // 在 dist/index.html 的输出
      filename: 'index.html',
      // 当使用 title 选项时，
      // template 中的 title 标签需要是 <title><%= htmlWebpackPlugin.options.title %></title>
      title: '基础服务',
      // 在这个页面中包含的块，默认情况下会包含
      // 提取出来的通用 chunk 和 vendor chunk。
      chunks: ['chunk-vendors', 'chunk-common', 'index']
    },
    login: {
      entry: 'src/main-login.js',
      template: 'public/login.html',
      filename: 'login.html',
      tilte: '登录'
    },
  },
  productionSourceMap: false,
  devServer: {
    proxy: {
      '/aserver': {
        target: 'http://localhost:11038/'
      }
    },
  }
}